Bug 244051 - move brand-specifics to a new jar
Summary: move brand-specifics to a new jar
Status: VERIFIED
Alias: None
Product: Fedora Management Console
Classification: Fedora
Component: General   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 240316
TreeView+ depends on / blocked
 
Reported: 2007-06-13 14:42 UTC by Christina Fu
Modified: 2018-12-14 20:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
comment #2: review? (10.61 KB, text/plain)
2007-06-13 15:58 UTC, Christina Fu
no flags Details
comment #2: review? (525 bytes, text/plain)
2007-06-13 16:02 UTC, Christina Fu
no flags Details

Description Christina Fu 2007-06-13 14:42:25 UTC
Description of problem:
We need to move brand-specific things into a new jar file.  This is so that
other products can better utilize the console.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Christina Fu 2007-06-13 15:58:33 UTC
Created attachment 156890 [details]
comment #2: review?

this does not include the new files.  That's in next attachment

Comment 2 Christina Fu 2007-06-13 16:02:10 UTC
Created attachment 156891 [details]
comment #2: review?

Comment 3 Nathan Kinder 2007-06-13 18:04:08 UTC
Shouldn't the below reference to logo16.gif be using "theme", not "themed"?

diff -r1.2 HttpsChannel.java
131c131
<             _frame.setIconImage( new
RemoteImage("com/netscape/management/client/images/logo16.gif").getImage());
---
>             _frame.setIconImage( new
RemoteImage("com/netscape/management/client/themed/images/logo16.gif").getImage());

Comment 4 Christina Fu 2007-06-14 18:01:08 UTC
reviewed by nkinder@redhat.com

[cfu@paw console]$ pwd
/home/cfu/dirsec/cfu/console
[cfu@paw console]$ cvs commit
cvs commit: Examining .
cvs commit: Examining examples
cvs commit: Examining examples/customview
cvs commit: Examining examples/framework
cvs commit: Examining examples/framework/images
cvs commit: Examining examples/misc
cvs commit: Examining examples/supermail
cvs commit: Examining examples/supermail/configuration
cvs commit: Examining examples/supermail/customview
cvs commit: Examining examples/supermail/images
cvs commit: Examining examples/supermail/status
cvs commit: Examining examples/supermail/topology
cvs commit: Examining examples/supermail/ug
cvs commit: Examining examples/topology
cvs commit: Examining examples/ug
cvs commit: Examining src
cvs commit: Examining src/com
cvs commit: Examining src/com/netscape
cvs commit: Examining src/com/netscape/management
cvs commit: Examining src/com/netscape/management/client
cvs commit: Examining src/com/netscape/management/client/ace
cvs commit: Examining src/com/netscape/management/client/acl
cvs commit: Examining src/com/netscape/management/client/acleditor
cvs commit: Examining src/com/netscape/management/client/acleditor/images
cvs commit: Examining src/com/netscape/management/client/cmd
cvs commit: Examining src/com/netscape/management/client/comm
cvs commit: Examining src/com/netscape/management/client/components
cvs commit: Examining src/com/netscape/management/client/components/images
cvs commit: Examining src/com/netscape/management/client/console
cvs commit: Examining src/com/netscape/management/client/console/images
cvs commit: Examining src/com/netscape/management/client/images
cvs commit: Examining src/com/netscape/management/client/keycert
cvs commit: Examining src/com/netscape/management/client/logging
cvs commit: Examining src/com/netscape/management/client/preferences
cvs commit: Examining src/com/netscape/management/client/security
cvs commit: Examining src/com/netscape/management/client/security/csr
cvs commit: Examining src/com/netscape/management/client/theme
cvs commit: Examining src/com/netscape/management/client/theme/images
cvs commit: Examining src/com/netscape/management/client/topology
cvs commit: Examining src/com/netscape/management/client/topology/customview
cvs commit: Examining src/com/netscape/management/client/topology/images
cvs commit: Examining src/com/netscape/management/client/topology/ug
cvs commit: Examining src/com/netscape/management/client/ug
cvs commit: Examining src/com/netscape/management/client/util
cvs commit: Examining src/com/netscape/management/nmclf
cvs commit: Examining src/com/netscape/management/nmclf/icons
cvs commit: Examining test
cvs commit: Examining test/com
cvs commit: Examining test/com/netscape
cvs commit: Examining test/com/netscape/management
cvs commit: Examining test/com/netscape/management/client
cvs commit: Examining test/com/netscape/management/client/ace
cvs commit: Examining test/com/netscape/management/client/acl
cvs commit: Examining test/com/netscape/management/client/acleditor
cvs commit: Examining test/com/netscape/management/client/comm
cvs commit: Examining test/com/netscape/management/client/components
cvs commit: Examining test/com/netscape/management/client/icons
cvs commit: Examining test/com/netscape/management/client/security
cvs commit: Examining test/com/netscape/management/client/topology
cvs commit: Examining test/com/netscape/management/client/topology/ug
cvs commit: Examining test/com/netscape/management/client/util
cvs commit: Examining test/com/netscape/management/client/util/test
Enter passphrase for key '/home/cfu/.ssh/id_dsa':
? src/com/netscape/management/client/console/versioninfo.properties
? src/com/netscape/management/img.files
? newjar
? console.cvsdiff
Checking in build.properties;
/cvs/dirsec/console/build.properties,v  <--  build.properties
new revision: 1.10; previous revision: 1.9
done
Checking in build.xml;
/cvs/dirsec/console/build.xml,v  <--  build.xml
new revision: 1.13; previous revision: 1.12
done
Checking in startconsole;
/cvs/dirsec/console/startconsole,v  <--  startconsole
new revision: 1.6; previous revision: 1.5
done
Running syncmail...
Mailing relnotes@fedoraproject.org...
...syncmail done.
Running syncmail...
Mailing cvsdirsec@fedora.redhat.com...
...syncmail done.
Checking in src/com/netscape/management/client/default.properties;
/cvs/dirsec/console/src/com/netscape/management/client/default.properties,v  <--
 default.properties
new revision: 1.6; previous revision: 1.5
done
Checking in src/com/netscape/management/client/defaultLicense.properties;
/cvs/dirsec/console/src/com/netscape/management/client/defaultLicense.properties,v
 <--  defaultLicense.properties
new revision: 1.6; previous revision: 1.5
done
Running syncmail...
Mailing relnotes@fedoraproject.org...
...syncmail done.
Running syncmail...
Mailing cvsdirsec@fedora.redhat.com...
...syncmail done.
Checking in src/com/netscape/management/client/comm/HttpChannel.java;
/cvs/dirsec/console/src/com/netscape/management/client/comm/HttpChannel.java,v 
<--  HttpChannel.java
new revision: 1.2; previous revision: 1.1
done
Checking in src/com/netscape/management/client/comm/HttpsChannel.java;
/cvs/dirsec/console/src/com/netscape/management/client/comm/HttpsChannel.java,v
 <--  HttpsChannel.java
new revision: 1.3; previous revision: 1.2
done
Running syncmail...
Mailing relnotes@fedoraproject.org...
...syncmail done.
.Running syncmail...
Mailing cvsdirsec@fedora.redhat.com...
...syncmail done.
Checking in src/com/netscape/management/client/console/Console.java;
/cvs/dirsec/console/src/com/netscape/management/client/console/Console.java,v
<--  Console.java
new revision: 1.8; previous revision: 1.7
done
Checking in src/com/netscape/management/client/console/console.properties;
/cvs/dirsec/console/src/com/netscape/management/client/console/console.properties,v
 <--  console.properties
new revision: 1.6; previous revision: 1.5
done
5Running syncmail...
Mailing relnotes@fedoraproject.org...
...syncmail done.
Running syncmail...
Mailing cvsdirsec@fedora.redhat.com...
...syncmail done.
Checking in src/com/netscape/management/client/security/CertInstallTypePage.java;
/cvs/dirsec/console/src/com/netscape/management/client/security/CertInstallTypePage.java,v
 <--  CertInstallTypePage.java
new revision: 1.2; previous revision: 1.1
done
Checking in src/com/netscape/management/client/security/KeyCertUtility.java;
/cvs/dirsec/console/src/com/netscape/management/client/security/KeyCertUtility.java,v
 <--  KeyCertUtility.java
new revision: 1.2; previous revision: 1.1
done
Checking in
src/com/netscape/management/client/security/KeyCertWizardResource.properties;
/cvs/dirsec/console/src/com/netscape/management/client/security/KeyCertWizardResource.properties,v
 <--  KeyCertWizardResource.properties
new revision: 1.2; previous revision: 1.1
done
Running syncmail...
Mailing relnotes@fedoraproject.org...
...syncmail done.
Running syncmail...
Mailing cvsdirsec@fedora.redhat.com...
...syncmail done.
RCS file:
/cvs/dirsec/console/src/com/netscape/management/client/theme/theme.properties,v
done
Checking in src/com/netscape/management/client/theme/theme.properties;
/cvs/dirsec/console/src/com/netscape/management/client/theme/theme.properties,v
 <--  theme.properties
initial revision: 1.1
done
cvs diff: [20:33:10] waiting for cfu's lock in /cvs/dirsec/console
cvs diff: [20:33:11] waiting for cfu's lock in
/cvs/dirsec/console/src/com/netscape/management/client
Running syncmail...
Mailing relnotes@fedoraproject.org...
...syncmail done.
Running syncmail...
Mailing cvsdirsec@fedora.redhat.com...
...syncmail done.
RCS file:
/cvs/dirsec/console/src/com/netscape/management/client/theme/images/ConsoleBanner.gif,v
done
Checking in src/com/netscape/management/client/theme/images/ConsoleBanner.gif;
/cvs/dirsec/console/src/com/netscape/management/client/theme/images/ConsoleBanner.gif,v
 <--  ConsoleBanner.gif
initial revision: 1.1
done
RCS file:
/cvs/dirsec/console/src/com/netscape/management/client/theme/images/OldServer.gif,v
done
Checking in src/com/netscape/management/client/theme/images/OldServer.gif;
/cvs/dirsec/console/src/com/netscape/management/client/theme/images/OldServer.gif,v
 <--  OldServer.gif
initial revision: 1.1
done
RCS file:
/cvs/dirsec/console/src/com/netscape/management/client/theme/images/logo16.gif,v
done
Checking in src/com/netscape/management/client/theme/images/logo16.gif;
/cvs/dirsec/console/src/com/netscape/management/client/theme/images/logo16.gif,v
 <--  logo16.gif
initial revision: 1.1
done
RCS file:
/cvs/dirsec/console/src/com/netscape/management/client/theme/images/logo32.gif,v
done
Checking in src/com/netscape/management/client/theme/images/logo32.gif;
/cvs/dirsec/console/src/com/netscape/management/client/theme/images/logo32.gif,v
 <--  logo32.gif
initial revision: 1.1
done
cvs diff: [20:33:11] waiting for cfu's lock in
/cvs/dirsec/console/src/com/netscape/management/client/comm
Running syncmail...
Mailing relnotes@fedoraproject.org...
...syncmail done.
Running syncmail...
Mailing cvsdirsec@fedora.redhat.com...
...syncmail done.
Checking in src/com/netscape/management/client/topology/TopologyInitializer.java;
/cvs/dirsec/console/src/com/netscape/management/client/topology/TopologyInitializer.java,v
 <--  TopologyInitializer.java
new revision: 1.2; previous revision: 1.1
done
cvs diff: [20:33:11] waiting for cfu's lock in
/cvs/dirsec/console/src/com/netscape/management/client/console
Running syncmail...
Mailing relnotes@fedoraproject.org...
...syncmail done.
Running syncmail...
Mailing cvsdirsec@fedora.redhat.com...
...syncmail done.
Checking in src/com/netscape/management/client/ug/PickerEditorResource.properties;
/cvs/dirsec/console/src/com/netscape/management/client/ug/PickerEditorResource.properties,v
 <--  PickerEditorResource.properties
new revision: 1.2; previous revision: 1.1
done
cvs diff: [20:33:11] waiting for cfu's lock in
/cvs/dirsec/console/src/com/netscape/management/client/security
Running syncmail...
Mailing relnotes@fedoraproject.org...
...syncmail done.
Running syncmail...
Mailing cvsdirsec@fedora.redhat.com...
...syncmail done.
cvs diff: [20:33:40] obtained lock in /cvs/dirsec/console
cvs diff: [20:33:41] obtained lock in
/cvs/dirsec/console/src/com/netscape/management/client
cvs diff: [20:33:41] obtained lock in
/cvs/dirsec/console/src/com/netscape/management/client/comm
cvs diff: [20:33:41] obtained lock in
/cvs/dirsec/console/src/com/netscape/management/client/console
cvs diff: [20:33:41] obtained lock in
/cvs/dirsec/console/src/com/netscape/management/client/security


Comment 5 Christina Fu 2007-06-25 15:25:08 UTC
The following fix the ResourceSet:getString():Unable to resolve xxx problems.

[cfu@paw console]$ cvs diff Console.java
Enter passphrase for key '/home/cfu/.ssh/id_dsa':
Index: Console.java
===================================================================
RCS file:
/cvs/dirsec/console/src/com/netscape/management/client/console/Console.java,v
retrieving revision 1.8
diff -r1.8 Console.java
88c88
<     public static ResourceSet _resource_theme = new
ResourceSet("com.netscape.management.client.theme.console");
---
>     public static ResourceSet _resource_theme = new
ResourceSet("com.netscape.management.client.theme.theme");
[cfu@paw console]$ cvs diff LoginDialog.java
Enter passphrase for key '/home/cfu/.ssh/id_dsa':
Index: LoginDialog.java
===================================================================
RCS file:
/cvs/dirsec/console/src/com/netscape/management/client/console/LoginDialog.java,v
retrieving revision 1.1.1.1
diff -r1.1.1.1 LoginDialog.java
60c60
<                 Console._resource.getString(_resourcePrefix, "title"),
---
>                 Console._resource_theme.getString(_resourcePrefix, "title"),
[cfu@paw console]$ pwd
/home/cfu/dirsec/s0625/console/src/com/netscape/management/client/console


Comment 6 Nathan Kinder 2007-08-22 22:22:58 UTC
All of these issues have already been fixed in the source tree.  Closing this bug.

Comment 8 Nathan Kinder 2007-11-28 22:10:20 UTC
The brand details are separated out into the fedora-idm-console package now. 
Marking this as verified.


Note You need to log in before you can comment on or make changes to this bug.